Subject: bug#2836: Acknowledgement (23.0.92; The bottom of my font (Monaco 10) is cut off on Mac OS X)

From: David Caldwell <[email-masked]>
Date: Sat, 04 Apr 2009 02:09:57 -0700

Ok. I went ahead and tracked it down. The regression was a change to 
src/nsfont.m on 2009-03-14 by davidswelt:

> nsfont.m (nsfont_open): remove ns_expand_space, assume -0.5 i.e. no
> additional spacing, similar to Carbon port.

I've attached a patch that fixes the regression (the bottom line of the 
font being dropped). It puts back expand to 0.5 which seems to be the 
default pre-checkin.

A couple things in this piece of code look a little sketchy. The "shrink" 
variable, for instance, seems to be defined but never used anywhere. 
There's some commented out stuff that's unclear what it was meant for and 
no indication of why one might comment it in or otherwise make use of it.

-David